The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Check if the License is Overprovisioned

Prev Next

This URL allows you to check if the assigned license is overprovisioned

Resource URL

sensorstack/isoverprovisioned/<stack_name>

Request Parameters

URL parameters:

Field Name

Description

Data Type

Mandatory

stack_name

Name of the stack

String

Yes

Payload parameters:

Field Name

Description

Data Type

Mandatory

licenseId

License ID details

String

Yes

grantIndex

Grant index details

Number

Yes

grantId

Grant ID details

String

Yes

Response Parameters

Following fields are returned if the request parameters are correct.

Field Name

Description

Data Type

success

Displays the success status

Boolean

msg

Displays the message

Boolean

errMsg

Displays the error message

Boolean

data

An object that contains the details of the field

Object

errorCode

Error code

Number

Details of data:

Field Name

Description

Data Type

assignStatus

Status of license assignment

Number

Example

Request

POST https://<IPSM_IP>/sdkapi/sensorstack/isoverprovisioned/suricata_stack_41_42

Payload

[
    {
        "licenseId": "NS96000603",
        "grantIndex": 1,
        "grantId": "96000603"
    },
    {
        "licenseId": "NS96000602",
        "grantIndex": 1,
        "grantId": "96000602"
    }
]

Response

{
    "success": true,
    "msg": "Success",
    "errMsg": "",
    "data": {
        "assignStatus": 101
    },
    "errorCode": 0
}

Error Information

The following error code is returned by this URL:

S.No

Generic Error Codes

ErrorMessage

Error Reason

1

1001

Bad URL - HTTP 404 Not Found

Mistyped URL

Internal Error – Null

Incorrect Input data, authentication issues